{{!-- MODAL --}}
{{#if isSmallDevice}}
  {{#if isAuthenticated}}
    <header class="header header--black py-2 header--font-white">
      <div class="header__nav">
        {{#liquid-if showSettings class="settings"}}
          <button class="header__button" {{action 'toggleProperty' 'showSettings'}}>
            {{svg-jar "back" class="icon icon-white"}}
          </button>
        {{/liquid-if}}
      </div>
      <div class="header__center">
        <h1 class="header__title">
          {{#liquid-if showSettings class="settings"}}
            CONFIGURACIÓN
          {{else}}
            MENÚ
          {{/liquid-if}}
        </h1>
      </div>
      <div class="header__nav">
        <button class="header__button" {{action 'toggleProperty''isShowingMenuModal'}}>
          {{svg-jar "cross" class="icon icon-white"}}
        </button>
      </div>
    </header>
  {{else}}
    <header class="header menu-component__header menu-component__header--font-dark bg-primary py-2">
      <div class="header__nav">
        <button class="header__button" {{action 'toggleProperty' 'isShowingMenuModal'}}>
          {{svg-jar "back" class="icon"}}
        </button>
      </div>
      <div class="header__center">
        <h1 class="header__title">
          ¡BIENVENIDO/A!
        </h1>
      </div>
      <div class="header__nav">
        <button class="header__button" {{action 'toggleProperty''isShowingMenuModal'}}>
          {{svg-jar "cross" class="icon"}}
        </button>
      </div>
    </header>
  {{/if}}
{{/if}}
{{#if isAuthenticated}}
  <div class="text-center menu-component__container">
    {{#liquid-if showSettings class="settings"}}
      <div class="mt-auto container {{if isSmallDevice "p-3" "px-3"}}">
        {{#unless isSmallDevice}}
          <div class="row menu-component__dropdown-header">
            <div class="col-auto px-0">
              <button class="header__button" {{action 'toggleProperty' 'showSettings'}}>
                {{svg-jar "back" class="icon"}}
              </button>
            </div>
            <div class="col menu-component__dropdown-header-text">
              <h1 class="menu-component__dropdown-header-text">
                CONFIGURACIÓN Y AYUDA
              </h1>
            </div>
          </div>
        {{/unless}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.others' (query-params section="")}}
            <div class="row menu-component__option-div mt-3">
              <div class="col-3 text-center button-with-icon__icon">
                {{svg-jar "button_info" class="menu-component__icon"}}
              </div>
              <span class="col-9 menu-component__option-div-text">
                Info y ayuda
              </span>
            </div>
          {{/link-to}}
          {{#link-to 'button-net.profile-edition'}}
            <div class="row menu-component__option-div mt-3">
              <div class="col-3 text-center button-with-icon__icon">
                {{svg-jar "config" class="menu-component__icon"}}
              </div>
              <span class="col-9 menu-component__option-div-text">
                Editar perfil
              </span>
            </div>
          {{/link-to}}
          {{#link-to 'button-net.others' (query-params section="donate")}}
            <div class="row menu-component__option-div mt-3">
              <div class="col-3 text-center button-with-icon__icon">
                {{svg-jar "offer" class="menu-component__icon"}}
              </div>
              <span class="col-9 menu-component__option-div-text">
                Hazte helper
              </span>
            </div>
          {{/link-to}}
        {{else}}
          {{#link-to 'others' (query-params section="")}}
            <div class="row menu-component__option-div mt-3">
              <div class="col-3 text-center button-with-icon__icon">
                {{svg-jar "button_info" class="menu-component__icon"}}
              </div>
              <span class="col-9 menu-component__option-div-text">
                Info y ayuda
              </span>
            </div>
          {{/link-to}}
          {{#link-to 'profile-edition'}}
            <div class="row menu-component__option-div mt-3">
              <div class="col-3 text-center button-with-icon__icon">
                {{svg-jar "config" class="menu-component__icon"}}
              </div>
              <span class="col-9 menu-component__option-div-text">
                Editar perfil
              </span>
            </div>
          {{/link-to}}
          {{#link-to 'others' (query-params section="donate")}}
            <div class="row menu-component__option-div mt-3">
              <div class="col-3 text-center button-with-icon__icon">
                {{svg-jar "offer" class="menu-component__icon"}}
              </div>
              <span class="col-9 menu-component__option-div-text">
                Hazte helper
              </span>
            </div>
          {{/link-to}}
        {{/if}}
        {{!-- </button> --}}
      </div>
    {{else}}
      <div class="container text-center px-3 pb-3">
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.profile.index' click=(action 'toggleProperty' "isShowingMenuModal")}}
            <div class="row menu-component__option-div">

              {{#if currentUser.hasAvatar}}
                <div class="col-3 text-center button-with-icon__icon">
                  <picture class="text-center menu-component__avatar-container">
                    <img src={{currentUserAvatar.smallThumb}} alt="Avatar" class="menu-component__avatar picture__img">
                  </picture>
                </div>
              {{else}}
                <div class="col-3 text-center button-with-icon__icon ">
                  <div class="menu-component__avatar-container">
                  {{svg-jar 'profile_def' class="bg-primary menu-component__icon menu-component__avatar picture__img"}}
                  </div>
                </div>
              {{/if}}
              <span class="col-9 menu-component__option-div-text">Mi perfil </span>
              {{#if currentUser.hasNotifications}}
                <a href="" class="notif-circle menu-component__notif-circle">{{currentUser.notificationsNumber}}</a>
              {{/if}}
            </div>
          {{/link-to}}
        {{else}}
          {{#link-to 'profile.index' click=(action 'toggleProperty' "isShowingMenuModal")}}
            <div class="row menu-component__option-div">

              {{#if currentUser.hasAvatar}}
                <div class="col-3 text-center button-with-icon__icon">
                  <picture class="text-center menu-component__avatar-container">
                    <img src={{currentUserAvatar.smallThumb}} alt="Avatar" class="menu-component__avatar picture__img">
                  </picture>
                </div>
              {{else}}
                <div class="col-3 text-center button-with-icon__icon ">
                  <div class="menu-component__avatar-container">
                  {{svg-jar 'profile_def' class="bg-primary menu-component__icon menu-component__avatar picture__img"}}
                  </div>
                </div>
              {{/if}}
              <span class="col-9 menu-component__option-div-text">Mi perfil </span>
              {{#if currentUser.hasNotifications}}
                <a href="" class="notif-circle menu-component__notif-circle">{{currentUser.notificationsNumber}}</a>
              {{/if}}
            </div>
          {{/link-to}}
        {{/if}}
        {{!-- Link to notifications --}}
        <a href="#" {{action 'toggleProperty' 'showSettings'}}>
          <div class="row menu-component__option-div mt-3">
            <div class="col-3 text-center button-with-icon__icon">
              {{svg-jar "config" class="menu-component__icon"}}
            </div>
            <span class="col-9 menu-component__option-div-text">
              Configuración
            </span>
          </div>
        </a>
        {{!-- Link to close session --}}
        <a href="#" {{action 'closeSession'}}>
          <div class="row menu-component__option-div mt-3">
            <div class="col-3 text-center button-with-icon__icon">
              {{svg-jar "exit" class="menu-component__icon"}}
            </div>
            <span class="col-9 menu-component__option-div-text">
              Cerrar sesión
            </span>
          </div>
        </a>
      </div>
      <div class="container menu-component__half-screen text-center px-3">
        {{#link-to newButtonRoute "new"}}
          <div class="row menu-component__create-button">
            <div class="menu-component__create-button-border">
            </div>
            <div class="row menu-component__button-design">
              <div class="px-0 col-8 text-center">{{svg-jar "create"}}</div>
              <div class="col-12 menu-component__create-button-text">
                <strong>CREAR BOTÓN</strong>
              </div>
            </div>
          </div>
        {{/link-to}}
      </div>
      {{#if isSmallDevice}}
      <div class="container menu-component__half-screen text-center px-3">
          <div class="row menu-component__create-button">
            {{trending-tags
              togglePropertyMenu=(action 'toggleProperty' "isShowingMenuModal")
              searchTrendingTags=searchTrendingTags
              buttonNet=buttonNet
              searchZoneAddress=searchZoneAddress
              isButtonNetRoute=isButtonNetRoute
            }}
            <!-- {{trending-tags togglePropertyMenu=(action 'toggleProperty' "isShowingMenuModal")}} -->
          </div>
      </div>
    {{/if}}
    {{/liquid-if}}
  </div>
{{else}}
  <div class="px-3 h-100 bg-primary">
    <div class="container justify-content-center d-flex h-100">
      <div class="row justify-content-center align-items-end mt-auto w-100">
        <div class="col-12 col-sm-6 col-md-5 col-lg-4 col-xl-3 px-0">
          <div class="row text-center">
            <div class="grid__label">
              <label for="sortSelect" class="label pb-0 mb-0">Elige tu opción para entrar: </label>
            </div>
            <div class="col-12 mt-3 d-flex px-0">
              {{#if isButtonNetRoute}}
                {{#link-to 'button-net.register' class="button button--bordered"}}
                  Crear cuenta
                {{/link-to}}
              {{else}}
                {{#link-to 'register' class="button button--bordered"}}
                  Crear cuenta
                {{/link-to}}
              {{/if}}
            </div>
            <!-- <div class="col-12 mt-3 d-flex px-0">
              {{#link-to 'login' class="button-with-icon button-with-icon--bordered button-with-icon--small justify-content-between"}}
                <div class="button-with-icon__text">
                  Continuar con Twitter
                </div>
                <div class="button-with-icon__icon">
                  {{svg-jar "twitter-brands" class="icon"}}
                </div>
              {{/link-to}}
            </div>
            <div class="paragraph mt-1">
              <a href="#" {{action 'toggleProperty' 'isShowingMoreOptions'}}>
                {{if isShowingMoreOptions 'Ocultar' 'Más'}} opciones
              </a>
            </div>
            {{#if isShowingMoreOptions}}
              <button class="button-with-icon button-with-icon--bordered button-with-icon--small justify-content-between mt-3"
                {{action 'rrssAuthenticate' 'facebook-oauth2'}}>
                <div class="button-with-icon__text">
                  Continuar con Facebook
                </div>
                <div class="button-with-icon__icon">
                  {{svg-jar "facebook-official" class="icon"}}
                </div>
              </button>
              <button class="button-with-icon button-with-icon--bordered button-with-icon--small justify-content-between mt-3"
                {{action 'rrssAuthenticate' 'google-oauth2'}}>
                <div class="button-with-icon__text">
                  Continuar con Google+
                </div>
                <div class="button-with-icon__icon">
                  {{svg-jar "google-plus" class="icon"}}
                </div>
              </button>
              <button class="button-with-icon button-with-icon--bordered button-with-icon--small justify-content-between mt-3"
                {{action 'rrssAuthenticate' 'instagram-oauth2'}}>
                <div class="button-with-icon__text">
                  Continuar con Instagram
                </div>
                <div class="button-with-icon__icon">
                  {{svg-jar "instagram" class="icon"}}
                </div>
              </button>
            {{/if}} -->
            <div class="col-12 mt-5 d-flex px-0">
              {{#if isButtonNetRoute}}
                {{#link-to 'button-net.login' class="mt-3 pl-0 button-sample"}}
                  TENGO CUENTA
                {{/link-to}}
              {{else}}
                {{#link-to 'login' class="mt-3 pl-0 button-sample"}}
                  TENGO CUENTA
                {{/link-to}}
              {{/if}}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
{{/if}}
